Imports System.Xml
Public Class Konto
    Private m_name As String = "Neues Konto"
    Private m_KtoNr As String = ""
    Private m_BLZ As String = ""
    Private m_Bank As String = ""
    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_name = Nd.Attributes("name").Value
        m_KtoNr = Nd.Attributes("KtoNr").Value
        m_BLZ = Nd.Attributes("BLZ").Value
        m_Bank = Nd.Attributes("Bank").Value
    End Sub
    Public Sub ToXML(ByVal writer As XmlWriter)
        writer.WriteStartElement("Konto")
        writer.WriteAttributeString("name", m_name)
        writer.WriteAttributeString("KtoNr", m_KtoNr)
        writer.WriteAttributeString("BLZ", m_BLZ)
        writer.WriteAttributeString("Bank", m_Bank)
        writer.WriteEndElement()
    End Sub
    Public Sub New(ByVal xname As String, ByVal xKtoNr As String, ByVal xBLZ As String, ByVal xBank As String)
        m_name = xname
        m_KtoNr = xKtoNr
        m_BLZ = xBLZ
        m_Bank = xBank
    End Sub
    Property Name() As String
        Get
            Return m_name
        End Get
        Set(ByVal Value As String)
            If Value.Trim = "" Then
                m_name = "Neues Konto"
            Else
                m_name = Value
            End If
        End Set
    End Property
    Property KtoNr() As String
        Get
            Return m_KtoNr
        End Get
        Set(ByVal Value As String)
            m_KtoNr = Value
        End Set
    End Property
    Property BLZ() As String
        Get
            Return m_BLZ
        End Get
        Set(ByVal Value As String)
            m_BLZ = Value
        End Set
    End Property
    Property Bank() As String
        Get
            Return m_Bank
        End Get
        Set(ByVal Value As String)
            m_Bank = Value
        End Set
    End Property
    Public Function Clone() As Konto
        Return New Konto(Me.m_name, Me.m_KtoNr, Me.m_BLZ, Me.m_Bank)
    End Function
    Public Overrides Function ToString() As String
        Return m_name
    End Function
End Class
