Namespace ValidatedControls
    Public Interface IValidatedControl
        ReadOnly Property ErrorMessage() As String
        ReadOnly Property ValidatedAndFilteredValue() As String
        Property SuppressEvents() As Boolean
        Property ErrorControlIndex() As Integer

        Event Changed(ByVal Sender As IValidatedControl, ByVal ErrorControlIndex As Integer, ByVal ErrorMessage As String, ByVal ValidatedValue As String)
    End Interface
End Namespace

