Option Strict On
Imports System.ComponentModel
Imports System.Drawing
Namespace ValidatedControls
    <DesignerAttribute(GetType(NumericTextBoxDesigner)), ToolboxBitmap(GetType(NumericTextBox))> _
    Public Class NumericTextBox
        Inherits ValidatedTextBox

        'Private m_FillWithNull As Boolean = False
        '<Description("True, wenn Feld bis zum Ende mit Nullen aufgefllt werden soll."), Category("ValidatedTextBox")> _
        'Property FillWithNull() As Boolean
        '    Get
        '        Return m_FillWithNull
        '    End Get
        '    Set(ByVal value As Boolean)
        '        m_FillWithNull = value
        '    End Set
        'End Property
        <Description("Genau erforderliche Zeichenzahl."), Category("ValidatedTextBox")> _
        Property TextExactLength() As Integer
            Get
                Return MyBase.TextMinLength
            End Get
            Set(ByVal value As Integer)
                MyBase.TextMinLength = value
                MyBase.TextMaxLength = value
            End Set
        End Property
        Public Sub New()
            'properties.Remove("TextMinLength")
            'properties.Remove("TextMaxLength")
            'properties.Remove("allowedChars")
            'properties.Remove("FilterChar")
            MyBase.TextMinLength = 7
            MyBase.TextMaxLength = 7
            MyBase.allowedChars = "1234567890"
        End Sub
        Friend Overrides Function ExtraFormatAndValueCheck(ByVal StringToCheck As String) As String
            Return ""
        End Function

        Friend Overrides Function Formatieren(ByVal StringDaten As String) As String
            Return StringDaten
        End Function
    End Class

End Namespace
