Public Class frm_Arbeit
    Implements Briefdatenbank.Plugin.Common.IPlugInForm

#Region "Constructor "
    Public Sub New()
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub
    Public Sub New(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        DatenUebernahme(Daten)
    End Sub
    Public Overrides Sub DatenUebernahme(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)
        MyBase.DatenUebernahme(Daten)

        ReadDataFromDataSetString(Daten)

        Werte_OhneEventsLesen()
        MakeOKCheck()
        m_Initialisierung = False
        Summe_Berechnen()
    End Sub
    Public Overrides Sub Werte_OhneEventsLesen()
        MyBase.Werte_OhneEventsLesen()

    End Sub
    Public ReadOnly Property Result() As Common.PlugInResult Implements Common.IPlugInForm.Result
        Get
            Return m_Result
        End Get
    End Property
#End Region

#Region " OKCheck "
    Overrides Function CheckOK() As Boolean
        If MyBase.CheckOK Then
            If Me.PostenDataGridView1.Summe <> 0 Then
                Return True
            End If
        End If
        Return False
    End Function
    Overrides Sub MakeOKCheck()
        Me.ButtonOK.Enabled = CheckOK()
    End Sub
#End Region


    Public Sub ReadDataFromDataSetString(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten) Implements Common.IPlugInForm.ReadDataFromDataSetString
        If Daten.XMLWert <> "" Then
            Dim DS As New BasisDataSet
            Dim Reader As New System.IO.StringReader(Daten.XMLWert)
            DS.ReadXml(Reader)
            Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.Rows(0)

            Me.BriefdatumDateTextBox.Text = Rw.Briefdatum
            Me.BetreffTextBox.Text = Rw.Betreff

            Dim PDT As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteDataTable = Me.PostenDataGridView1.PostenlisteDataTable
            Dim Rwx As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteRow = Nothing
            For Each Rw1 As BasisDataSet.PostenRow In DS.Posten.Rows
                Rwx = PDT.NewRow()
                Rwx.Betrag = Rw1.Betrag
                Rwx.Posten = Rw1.Posten
                PDT.Rows.Add(Rwx)
            Next

        End If
    End Sub
    Public Sub WriteDataToDataSetString() Implements Common.IPlugInForm.WriteDataToDataSetString
        Dim DS As New BasisDataSet
        Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.NewRow

        Rw.Briefdatum = Me.BriefdatumDateTextBox.Text
        Rw.Betreff = Me.BetreffTextBox.Text

        DS.Einfach.Rows.Add(Rw)

        Dim Rwx As BasisDataSet.PostenRow = Nothing
        Dim PDT As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteDataTable = Me.PostenDataGridView1.PostenlisteDataTable
        For Each rw1 As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteRow In PDT
            Rwx = DS.Posten.NewRow
            Rwx.Betrag = rw1.Betrag
            Rwx.Posten = rw1.Posten
            DS.Posten.Rows.Add(Rwx)
        Next

        Dim sB As New System.Text.StringBuilder
        Dim writer As New System.IO.StringWriter(sB)
        DS.WriteXml(writer)

        m_Result.PersistText = sB.ToString
    End Sub


    Private Sub PostenDataGridView1_Summe_Geaendert() Handles PostenDataGridView1.Summe_Geaendert
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
        MakeOKCheck()
    End Sub
    Private Sub Summe_Berechnen()
        If m_Initialisierung Then Exit Sub

        Me.RechnungsbetragTextBox.Text = PostenDataGridView1.Summe.ToString("c")
    End Sub

    Private Sub ButtonOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonOK.Click
        WriteResultText()
        WriteDataToDataSetString()
    End Sub
    Private Sub WriteResultText()
        Dim P As Briefdatenbank.Plugin.Common.TextParagraph
        Dim Tab As Briefdatenbank.Plugin.Common.Table

        m_Result.Datum = CDate(Me.BriefdatumDateTextBox.Text)
        m_Result.BetreffText = Me.BetreffTextBox.Text.Trim
       

        P = New Briefdatenbank.Plugin.Common.TextParagraph
        P.Alignment = Briefdatenbank.Plugin.Common.ParagraphAlignments.Block
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag("hiermit wird besttigt, da ich am heutigen Tage von Ihnen"))
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag(Format(PostenDataGridView1.Summe, "c"), Briefdatenbank.Plugin.Common.TextFormats.Bold))
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag("erhalten habe."))
        m_Result.Liste_Texte.Add(P)

        P = New Briefdatenbank.Plugin.Common.TextParagraph
        P.Alignment = Briefdatenbank.Plugin.Common.ParagraphAlignments.Block
        m_Result.Liste_Texte.Add(P)
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag("Auflistung der einzelnen Rechnungsposten", Briefdatenbank.Plugin.Common.TextFormats.Bold))

        Tab = Me.PostenDataGridView1.ToTable(0D)
        m_Result.Liste_Texte.Add(Tab)
    End Sub
End Class
