Public Class PrivatRechnung
    Inherits MarshalByRefObject
    Implements Briefdatenbank.Plugin.Common.IPlugIn

    Private m_Description As Common.PlugInDescription = New Common.PlugInDescription _
    ("Rechnung fr einen PKV-Patienten", "Erstellt eine Rechnung fr einen privat krankenversicherten Patienten.", _
    Common.BriefInfoTypen.Rechnung, 806061)
    Public Overrides Function InitializeLifetimeService() As Object
        Return Nothing
    End Function

    Public Function Arbeiten(ByVal UebergabeDaten As Common.PlugInUebergabeDaten) As Common.PlugInResult Implements Common.IPlugIn.Arbeiten
        UebergabeDaten.FormBeschreibung = m_Description.Beschreibung
        UebergabeDaten.FormText = m_Description.Text

        UebergabeDaten.Betreff = "Privatrechnung fr rztliche Leistungen"
        Dim frm As New frm_Arbeit1(UebergabeDaten)
        frm.ShowDialog()
        Return frm.Result
    End Function
    Public ReadOnly Property Description() As Common.PlugInDescription Implements Common.IPlugIn.Description
        Get
            Return m_Description
        End Get
    End Property
End Class
