Imports System.Xml
Public MustInherit Class BriefInfo
    Public Event Geaendert()
    Friend Sub Aenderung_Melden()
        RaiseEvent Geaendert()
    End Sub

    MustOverride ReadOnly Property Typ() As BriefInfoTypen
    MustOverride ReadOnly Property Contents() As BriefInfoContents

#Region " Private Variablen und Properties "
    Private m_Betreff As String = ""
    Private m_Datum As DateTime = DateTime.Now

    Property Betreff() As String
        Get
            Return m_Betreff
        End Get
        Set(ByVal value As String)
            If m_Betreff <> value Then
                m_Betreff = value
                RaiseEvent Geaendert()
            End If
        End Set
    End Property
    Property Datum() As DateTime
        Get
            Return m_Datum
        End Get
        Set(ByVal value As DateTime)
            If m_Datum <> value Then
                m_Datum = value
                RaiseEvent Geaendert()
            End If
        End Set
    End Property
#End Region

    MustOverride Function Clone() As Object
    MustOverride Sub ReadCloneValues(ByVal ClonedObject As Object)
    MustOverride Sub ListviewItem_Ausfuellen(ByVal LVI As BriefListViewItem)

#Region " Konstruktor und Speichern "
    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Betreff = Nd.Attributes("Betreff").Value
        m_Datum = CDate(Nd.Attributes("Datum").Value)
    End Sub
    Public Overridable Sub XMLSchreiben(ByVal writer As XmlTextWriter)
        writer.WriteAttributeString("Betreff", m_Betreff)
        writer.WriteAttributeString("Datum", m_Datum.ToString())
    End Sub
#End Region


End Class

