Imports System.Xml
Public Class Info
    Inherits BriefInfo
    Implements IWichtigkeitselement

    Public Overrides ReadOnly Property Typ() As BriefInfoTypen
        Get
            Return BriefInfoTypen.Info
        End Get
    End Property

    Public Overrides ReadOnly Property Contents() As BriefInfoContents
        Get
            Return BriefInfoContents.Wichtigkeit
        End Get
    End Property

#Region " Private Variablen und Properties "
    Private m_Wichtig As Boolean = False
    Public Property Wichtig() As Boolean Implements IWichtigkeitselement.Wichtig
        Get
            Return m_Wichtig
        End Get
        Set(ByVal value As Boolean)
            If m_Wichtig <> value Then
                m_Wichtig = value
                Aenderung_Melden()
            End If
        End Set
    End Property
#End Region

#Region " Konstruktor und Speichern "
    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        MyBase.New(Nd)
        m_Wichtig = CBool(Nd.Attributes("Wichtig").Value)
    End Sub
    Public Overrides Sub XMLSchreiben(ByVal writer As XmlTextWriter)
        MyBase.XMLSchreiben(writer)
        writer.WriteAttributeString("Wichtig", m_Wichtig.ToString)
    End Sub
#End Region

#Region " Cloning "
    Public Overrides Function Clone() As Object
        Dim Inf As New Info
        Inf.Betreff = Me.Betreff
        Inf.Datum = Me.Datum
        Inf.Wichtig = Me.Wichtig
        Return Inf
    End Function
    Public Overrides Sub ReadCloneValues(ByVal ClonedObject As Object)
        Dim Inf As Info = DirectCast(ClonedObject, Info)
        Me.Betreff = Inf.Betreff
        Me.Datum = Inf.Datum
        Me.Wichtig = Inf.Wichtig
    End Sub
#End Region

#Region " ListViewItem "
    Public Overrides Sub ListviewItem_Ausfuellen(ByVal LVI As BriefListViewItem)

        LVI.Text = Format(Me.Datum, "d")
        LVI.SubItems(1).Text = ""
        LVI.SubItems(2).Text = Me.Betreff
        If m_Wichtig Then
            LVI.ImageIndex = 5
        Else
            LVI.ImageIndex = 0
        End If
    End Sub
#End Region

End Class

'Imports System.Xml
'Public Class Info
'    Inherits BriefInfo

'#Region " Private Variablen und Properties "
'    Public Overrides Property Geldbetrag() As Decimal
'        Get
'            Return 0D
'        End Get
'        Set(ByVal value As Decimal)

'        End Set
'    End Property

'    Public Overrides ReadOnly Property Typ() As BriefInfoTypen
'        Get
'            Return BriefInfoTypen.Info
'        End Get
'    End Property
'    Private m_Wichtig As Boolean = False
'    Property Wichtig() As Boolean
'        Get
'            Return m_Wichtig
'        End Get
'        Set(ByVal value As Boolean)
'            If m_Wichtig <> value Then
'                m_Wichtig = value
'                Aenderung_Melden()
'            End If
'        End Set
'    End Property
'#End Region

'#Region " Konstruktor und Speichern "
'    Public Sub New()

'    End Sub
'    Public Sub New(ByVal Nd As XmlNode)
'        MyBase.New(Nd)
'        m_Wichtig = CBool(Nd.Attributes("Wichtig").Value)
'    End Sub
'    Public Overrides Sub XMLSchreiben(ByVal writer As XmlTextWriter)
'        MyBase.XMLSchreiben(writer)
'        writer.WriteAttributeString("Wichtig", m_Wichtig.ToString)
'    End Sub
'#End Region

'#Region " Cloning "
'    Public Overrides Function Clone() As Object
'        Dim Inf As New Info
'        Inf.Betreff = Me.Betreff
'        Inf.Datum = Me.Datum
'        Inf.Wichtig = Me.Wichtig
'        Return Inf
'    End Function
'    Public Overrides Sub ReadCloneValues(ByVal ClonedObject As Object)
'        Dim Inf As Info = DirectCast(ClonedObject, Info)
'        Me.Betreff = Inf.Betreff
'        Me.Datum = Inf.Datum
'        Me.Wichtig = Inf.Wichtig
'    End Sub
'#End Region

'#Region " ListViewItem "
'    Public Overrides Sub ListviewItem_Ausfuellen(ByVal LVI As BriefListViewItem)

'        LVI.Text = Format(Me.Datum, "d")
'        LVI.SubItems(1).Text = ""
'        LVI.SubItems(2).Text = Me.Betreff
'        If m_Wichtig Then
'            LVI.ImageIndex = 5
'        Else
'            LVI.ImageIndex = 0
'        End If

'    End Sub
'#End Region

'End Class
