Public Class InputTextBox
    Shadows Event TextChanged()
    Public Event ButtonClick()
    Overrides Property Text() As String
        Get
            Return TextBoxText.Text
        End Get
        Set(ByVal value As String)
            If TextBoxText.Text <> value Then
                TextBoxText.Text = value
            End If
        End Set
    End Property
    Private Sub TextBoxText_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxText.TextChanged
        RaiseEvent TextChanged()
    End Sub

    Private Sub ButtonInput_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonInput.Click
        RaiseEvent ButtonClick()
    End Sub

    Private Sub ButtonInput_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles ButtonInput.KeyDown
        If e.KeyCode = Keys.Enter Then
            RaiseEvent ButtonClick()
        End If
    End Sub
End Class
