Imports System.IO
Imports System.Xml
Public Class PfadSpeicherListe
    Inherits List(Of String)
    Private m_Pfad As String
    Public Sub New(ByVal Pfad As String)
        m_Pfad = Pfad
        If File.Exists(m_Pfad) Then
            Dim reader As XmlTextReader = New XmlTextReader(m_Pfad)

            reader.WhitespaceHandling = WhitespaceHandling.None
            Dim xmlDoc As XmlDocument = New XmlDocument
            xmlDoc.Load(reader)
            reader.Close()
            Dim xnod As XmlNode = xmlDoc.DocumentElement
            Dim xKn As XmlNode
            For Each xKn In xnod.ChildNodes
                If xKn.Name = "P" Then
                    Dim DokPfad As String = xKn.Attributes("t").Value
                    If File.Exists(DokPfad) Then
                        Me.Add(DokPfad)
                    End If
                End If
            Next
        End If
    End Sub
    Public Sub Speichern()
        Try
            Dim writer As XmlTextWriter = New XmlTextWriter(m_Pfad, System.Text.Encoding.UTF8)
            writer.WriteStartDocument(True)

            writer.WriteStartElement("Elemente")

            For Each txt As String In Me
                writer.WriteStartElement("P")
                writer.WriteAttributeString("t", txt)
                writer.WriteEndElement()
            Next

            writer.WriteEndElement()

            writer.WriteEndDocument()
            writer.Close()

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
End Class
