Public Class frm_Titelvorschlaege_Bearbeiten
    Private m_Titel As Titelliste
    ReadOnly Property Titelliste() As List(Of Titel)
        Get
            Return m_Titel
        End Get
    End Property
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.Icon = My.Resources.bdb2
        Me.LabelErlaeuterung.Text = "Bei der Eingabe im Feld ""Titel""  zeigt der Computer nach wenigen Buchstaben einen Vorschlag an. Welche Titel vorgeschlagen werden, wird hier festgelegt."
        m_Titel = New Titelliste
        m_Titel.Clear()
    End Sub
    Public Sub Initialisieren(ByVal TempTitel As List(Of Titel))
        For Each Ti As Titel In TempTitel
            m_Titel.Add(Ti)
        Next
        Me.ObjektListBox1.Initialisieren(m_Titel)
    End Sub

    Private Sub ObjektListBox1_AktionsAnfrage(ByVal Akt As ObjektListBoxAktion) Handles ObjektListBox1.AktionsAnfrage
        Select Case Akt.Aktion
            Case ObjektListBoxAktionen.ObjektNeu
                Dim Ti As New Titel("Neuer Titel")
                m_Titel.Add(Ti)
                Akt.Obj = Ti
                Akt.Erlaubt = True
            Case ObjektListBoxAktionen.ObjektLschen
                Dim Ti As Titel = Akt.Obj
                m_Titel.Remove(Ti)
                Akt.Erlaubt = True
            Case ObjektListBoxAktionen.ObjektNOVerschieben
                Dim Ti As Titel = Akt.Obj
                Dim Idx As Integer = m_Titel.IndexOf(Ti)
                m_Titel.Remove(Ti)
                m_Titel.Insert(Idx - 1, Ti)
                Akt.Erlaubt = True
            Case ObjektListBoxAktionen.ObjektNUVerschieben
                Dim Ti As Titel = Akt.Obj
                Dim Idx As Integer = m_Titel.IndexOf(Ti)
                m_Titel.Remove(Ti)
                m_Titel.Insert(Idx + 1, Ti)
                Akt.Erlaubt = True
            Case ObjektListBoxAktionen.ObjektUmbenennen
                Dim Ti As Titel = Akt.Obj
                ti.Text = Akt.Text
                Akt.Erlaubt = True
        End Select
    End Sub

    Private Sub ButtonStandard_Laden_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonStandard_Laden.Click
        m_Titel.Standard_Titel_Herstellen()
        Me.ObjektListBox1.Initialisieren(m_Titel)
    End Sub
End Class