Public Class frm_Plugin_Base
    Protected Friend m_Result As PlugInResult
    Protected Friend m_Initialisierung As Boolean = True

#Region "Constructor "
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.Icon = My.Resources.bdb2
    End Sub

    Public Overridable Sub DatenUebernahme(ByVal Daten As PlugInUebergabeDaten)
        m_Result = New PlugInResult
        Me.Text = "Briefdatenbank" & " - " & Daten.FormText
        Me.LabelInfo.Text = Daten.FormBeschreibung
        Me.Icon = My.Resources.bdb2
        Me.BriefdatumDateTextBox.Text = Date.Today.ToShortDateString
        Me.BetreffTextBox.Text = Daten.Betreff
    End Sub

    Public Overridable Sub Werte_OhneEventsLesen()

    End Sub
#End Region

#Region " OKCheck "
    Overridable Function CheckOK() As Boolean
        If (Me.BriefdatumDateTextBox.ErrorMessage <> "") Or (Me.BetreffTextBox.Text.Trim = "") Then
            Return False
        End If
        Return True
    End Function

    Overridable Sub MakeOKCheck()

    End Sub
#End Region

    Private Sub BriefdatumDateTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BriefdatumDateTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        MakeOKCheck()
    End Sub
    Private Sub BetreffTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BetreffTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        MakeOKCheck()
    End Sub
End Class