Public Class frm_Plugin_RechnungBase
    Protected Friend Spaetestdatum As Date = DateTime.Now

#Region "Constructor "
    Public Overrides Sub DatenUebernahme(ByVal Daten As PlugInUebergabeDaten)
        MyBase.DatenUebernahme(Daten)
        Me.RechungNummerTextBox.Text = Daten.RechnungsNr
        Me.KontenAuswahl1.SetVorlagenPfad(Daten.VorlagenPfad)
        Me.ComboBoxFrist.SelectedIndex = 2
    End Sub
#End Region

#Region " OKCheck "
    Overrides Function CheckOK() As Boolean
        If MyBase.CheckOK Then
            If Me.RechungNummerTextBox.Text.Trim <> "" Then
                Return True
            End If
        End If
        Return False
    End Function

    Overrides Sub MakeOKCheck()

    End Sub
#End Region

    Private Sub ButtonKonten_Bearbeiten_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonKonten_Bearbeiten.Click
        Me.KontenAuswahl1.KontenBearbeiten()
    End Sub

    Public Overrides Sub Werte_OhneEventsLesen()
        MyBase.Werte_OhneEventsLesen()
        Spaetestdatum_Berechnen()
    End Sub
    Private Sub Spaetestdatum_Berechnen()
        If ComboBoxFrist Is Nothing Then Exit Sub
        If ComboBoxFrist.SelectedIndex = -1 Then Exit Sub
        If Me.BriefdatumDateTextBox.ErrorMessage <> "" Then Exit Sub
        Dim ZDatum As Date = CDate(BriefdatumDateTextBox.Text)
        Spaetestdatum = ZDatum.AddDays((Me.ComboBoxFrist.SelectedIndex + 1) * 7)
    End Sub


    Private Sub RechungNummerTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RechungNummerTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        MakeOKCheck()
    End Sub

    Private Sub DateTextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BriefdatumDateTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        Spaetestdatum_Berechnen()
    End Sub

    Private Sub ComboBoxFrist_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBoxFrist.SelectedIndexChanged
        If m_Initialisierung Then Exit Sub
        Spaetestdatum_Berechnen()
    End Sub
End Class
