Imports System.Drawing.Drawing2D
Imports System.Drawing
Imports System.Windows.Forms
Public Class ColorLabel
    Private m_LabelText As String = ""
    Private m_GradientColor As Color = SystemColors.Highlight
    Property LabelText() As String
        Get
            Return m_LabelText
        End Get
        Set(ByVal value As String)
            m_LabelText = value
            Invalidate()
        End Set
    End Property
    Property GradientColor() As Color
        Get
            Return m_GradientColor
        End Get
        Set(ByVal value As Color)
            m_GradientColor = value
            Invalidate()
        End Set
    End Property

    Protected Overrides Sub OnPaint(ByVal pe As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(pe)

        'Benutzerdefinierten Zeichnungscode hier einfügen
        Dim g As Graphics = pe.Graphics
      
        Dim Brsh As New LinearGradientBrush(New Point(0, 0), New Point(Me.Width, Me.Height), m_GradientColor, Color.White)
        g.FillRectangle(Brsh, New Rectangle(0, 0, Me.Width, Me.Height))
        Brsh.Dispose()
        Dim Brsh1 As New SolidBrush(Color.White)
        g.DrawString(m_LabelText, Me.Font, Brsh1, 0, 0)
        Brsh1.Dispose()
    End Sub


    Public Sub New()

        ' Dieser Aufruf ist für den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.SetStyle(ControlStyles.DoubleBuffer _
                   Or ControlStyles.UserPaint _
                   Or ControlStyles.AllPaintingInWmPaint, _
                   True)

    End Sub
End Class
