Imports System.Windows.Forms
Public Class ControlPositionSorter
    Public Sub New(ByVal Parent As Control)
        Dim ListeControls As New List(Of Control)
        For Each Ctl As Control In Parent.Controls
            ListeControls.Add(Ctl)
        Next

        Dim Idx As Integer = 0
        If ListeControls.Count > 0 Then
            ListeControls.Sort(New ControlPositionComparer)
            For Each Ctl As Control In ListeControls
                Ctl.TabIndex = Idx
                Idx += 1
                Dim Sorter As New ControlPositionSorter(Ctl)
            Next
        End If

    End Sub

    Public Class ControlPositionComparer
        Implements IComparer(Of Control)

        Public Function Compare(ByVal x As System.Windows.Forms.Control, ByVal y As System.Windows.Forms.Control) As Integer Implements System.Collections.Generic.IComparer(Of System.Windows.Forms.Control).Compare
            If x.Top = y.Top Then
                Return x.Left.CompareTo(y.Left)
            Else
                Return x.Top.CompareTo(y.Top)
            End If
        End Function
    End Class
End Class
