Public Class frm_Arbeit1
    Implements Briefdatenbank.Plugin.Common.IPlugInForm

#Region "Constructor "
    Public Sub New()
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub
    Public Sub New(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        DatenUebernahme(Daten)
    End Sub
    Public Overrides Sub DatenUebernahme(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)
        MyBase.DatenUebernahme(Daten)

        ReadDataFromDataSetString(Daten)

        Werte_OhneEventsLesen()
        MakeOKCheck()
        m_Initialisierung = False
        Summe_Berechnen()
    End Sub
    Public Overrides Sub Werte_OhneEventsLesen()
        MyBase.Werte_OhneEventsLesen()
        Dim ZText As String = Me.MWStAlphaNumericTextBox.Text

        Me.MWStAlphaNumericTextBox.Text = "y"
        Me.MWStAlphaNumericTextBox.Text = ZText

    End Sub
    Public ReadOnly Property Result() As Common.PlugInResult Implements Common.IPlugInForm.Result
        Get
            Return m_Result
        End Get
    End Property
#End Region

#Region " OKCheck "
    Overrides Function CheckOK() As Boolean
        If MyBase.CheckOK Then
            If Me.PostenDataGridView1.Summe <> 0 Then
                If Me.MehrwertsteuerCheckBox.Checked Then
                    If Me.MWStAlphaNumericTextBox.ErrorMessage = "" Then
                        Return True
                    End If
                Else
                    Return True
                End If
            End If
        End If
        Return False
    End Function
    Overrides Sub MakeOKCheck()
        Me.ButtonOK.Enabled = CheckOK()
    End Sub
#End Region


    Public Sub ReadDataFromDataSetString(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten) Implements Common.IPlugInForm.ReadDataFromDataSetString
        If Daten.XMLWert <> "" Then
            Dim DS As New BasisDataSet
            Dim Reader As New System.IO.StringReader(Daten.XMLWert)
            DS.ReadXml(Reader)
            Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.Rows(0)

            Me.RechungNummerTextBox.Text = Rw.RechnungsNummer
            Me.BriefdatumDateTextBox.Text = Rw.Briefdatum
            Me.BetreffTextBox.Text = Rw.Betreff
            Me.MehrwertsteuerCheckBox.Checked = Rw.MWSTErforderlich
            Me.MWStAlphaNumericTextBox.Text = Rw.MWST
            Me.ComboBoxFrist.Text = Rw.Frist
            Me.KontenAuswahl1.Konto_Von_Aussen_Einstellen(Rw.Konto)

            Dim PDT As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteDataTable = Me.PostenDataGridView1.PostenlisteDataTable
            Dim Rwx As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteRow = Nothing
            For Each Rw1 As BasisDataSet.PostenRow In DS.Posten.Rows
                Rwx = PDT.NewRow()
                Rwx.Betrag = Rw1.Betrag
                Rwx.Posten = Rw1.Posten
                PDT.Rows.Add(Rwx)
            Next

        End If
    End Sub
    Public Sub WriteDataToDataSetString() Implements Common.IPlugInForm.WriteDataToDataSetString
        Dim DS As New BasisDataSet
        Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.NewRow

        Rw.RechnungsNummer = Me.RechungNummerTextBox.Text
        Rw.Briefdatum = Me.BriefdatumDateTextBox.Text
        Rw.Betreff = Me.BetreffTextBox.Text
        Rw.MWSTErforderlich = Me.MehrwertsteuerCheckBox.Checked
        Rw.MWST = Me.MWStAlphaNumericTextBox.Text
        Rw.Frist = Me.ComboBoxFrist.Text
        Rw.Konto = Me.KontenAuswahl1.AktuellesKonto.Name

        DS.Einfach.Rows.Add(Rw)

        Dim Rwx As BasisDataSet.PostenRow = Nothing
        Dim PDT As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteDataTable = Me.PostenDataGridView1.PostenlisteDataTable
        For Each rw1 As Briefdatenbank.Plugin.Common.PostenDataset.PostenlisteRow In PDT
            Rwx = DS.Posten.NewRow
            Rwx.Betrag = rw1.Betrag
            Rwx.Posten = rw1.Posten
            DS.Posten.Rows.Add(Rwx)
        Next

        Dim sB As New System.Text.StringBuilder
        Dim writer As New System.IO.StringWriter(sB)
        DS.WriteXml(writer)

        m_Result.PersistText = sB.ToString
    End Sub

    Private Sub CheckBoxMehrwertsteuer_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MehrwertsteuerCheckBox.CheckedChanged
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
        MakeOKCheck()
    End Sub

    Private Sub AlphaNumericTextBoxMWSt_Changed(ByVal Sender As Common.ValidatedControls.IValidatedControl, ByVal ErrorControlIndex As Integer, ByVal ErrorMessage As String, ByVal ValidatedValue As String) Handles MWStAlphaNumericTextBox.Changed
        If m_Initialisierung Then Exit Sub
        If MehrwertsteuerCheckBox.Checked Then
            If ErrorMessage = "" Then
                m_Mehrwertsteuersatz = CDec(ValidatedValue)
            Else
                m_Mehrwertsteuersatz = 0
            End If
        Else
            m_Mehrwertsteuersatz = 0
        End If

        Summe_Berechnen()
        MakeOKCheck()
    End Sub

    Private Sub PostenDataGridView1_Summe_Geaendert() Handles PostenDataGridView1.Summe_Geaendert
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
        MakeOKCheck()
    End Sub
    Private m_Summe As Decimal = 0
    Private m_Mehrwertsteuersatz As Decimal = 0
    Private Sub Summe_Berechnen()
        m_Summe = 0
        If m_Initialisierung Then Exit Sub
        Dim Ausgangswert As Decimal = PostenDataGridView1.Summe
        Dim AddWert As Decimal = 0D
        If m_Mehrwertsteuersatz <> 0 Then
            AddWert = Ausgangswert / CDec(100) * m_Mehrwertsteuersatz
        End If
        m_Summe = Ausgangswert + AddWert

        Me.RechnungsbetragTextBox.Text = m_Summe.ToString("c")
    End Sub

    Private Sub ButtonOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonOK.Click
        Me.KontenAuswahl1.Speichern()
        WriteResultText()
        WriteDataToDataSetString()
    End Sub
    Private Sub WriteResultText()
        Dim P As Briefdatenbank.Plugin.Common.TextParagraph
        Dim Tab As Briefdatenbank.Plugin.Common.Table

        m_Result.Datum = CDate(Me.BriefdatumDateTextBox.Text)
        m_Result.BetreffText = Me.BetreffTextBox.Text.Trim
        m_Result.RechnungsNummer = Me.RechungNummerTextBox.Text.Trim

        P = New Briefdatenbank.Plugin.Common.TextParagraph
        P.Alignment = Briefdatenbank.Plugin.Common.ParagraphAlignments.Block
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag("die folgenden erbrachten Leistungen stelle ich Ihnen heute in Rechnung:"))
        m_Result.Liste_Texte.Add(P)

        Tab = Me.PostenDataGridView1.ToTable(m_Mehrwertsteuersatz)
        m_Result.Liste_Texte.Add(Tab)

        m_Result.Geldbetrag = m_Summe * CDec(-1)

        m_Result.Liste_Texte.Add(KontenAuswahl1.ToRechnungsTextParagraph(m_Summe, Me.RechungNummerTextBox.Text, Spaetestdatum))
        m_Result.Liste_Texte.Add(KontenAuswahl1.ToKontoTable)
    End Sub

    Private Sub ButtonOK_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonOK.Click

    End Sub
End Class
