' runs in separate appdomain
Public Class PlugInCollector
    Inherits MarshalByRefObject

    Public Function GetPlugInList() As List(Of PlugInDescriptor)
        Dim plugInsFound As New List(Of PlugInDescriptor)

        Dim PINewDir As String = Environment.CurrentDirectory & "\PIWork"
        If Not IO.Directory.Exists(PINewDir) Then
            IO.Directory.CreateDirectory(PINewDir)
        End If
        Dim Names() As String = IO.Directory.GetFiles(PINewDir)
        For Each txt As String In Names
            Try
                IO.File.Delete(txt)
            Catch ex As Exception

            End Try

        Next

        Dim dOrig As New IO.DirectoryInfo(Environment.CurrentDirectory & "\PlugIns")
        For Each fPlugIn As IO.FileInfo In dOrig.GetFiles("*.bdbplugin")
            IO.File.Copy(fPlugIn.FullName, Environment.CurrentDirectory & "\PIWork\" & IO.Path.GetFileNameWithoutExtension(fPlugIn.Name) & ".dll", True)
        Next
        Dim SharedDLLPath As String = Environment.CurrentDirectory & "\Briefdatenbank.Plugin.Common.dll"
        IO.File.Copy(SharedDLLPath, Environment.CurrentDirectory & "\PIWork\Briefdatenbank.Plugin.Common.dll", True)


        ' scan plugin directory
        Dim dPlugIns As New IO.DirectoryInfo(Environment.CurrentDirectory & "\PIWork")


        For Each fPlugIn As IO.FileInfo In dPlugIns.GetFiles("*.dll")
            ' load each dll
            Dim assPlugIn As Reflection.Assembly = AppDomain.CurrentDomain.Load(IO.Path.GetFileNameWithoutExtension(fPlugIn.Name))
            'MsgBox(fPlugIn.Name)
            ' check every type found in dll
            For Each tPlugIn As Type In assPlugIn.GetTypes
                ' check each interface
                For Each tIPlugIn As Type In tPlugIn.GetInterfaces()
                    ' if type implements IPlugIn interface...
                    If tIPlugIn Is GetType(Briefdatenbank.Plugin.Common.IPlugIn) Then
                        ' then load the plugin
                        plugInsFound.Add(New PlugInDescriptor(fPlugIn.FullName, tPlugIn.FullName))
                    End If
                Next
            Next
        Next

        Return plugInsFound
    End Function
End Class
