Imports System.Xml
Public Class AbsenderDaten
    Implements ICloneable

    Private m_Nachname As String = "Max"
    Private m_Vorname As String = "Muster"
    Private m_Strasse As String = "Knigsallee 27"
    Private m_PLZ As String = "00999"
    Private m_Ort As String = "Musterstadt"
    Private m_Telefon As String = ""
    Private m_Telefon1 As String = ""

    Property Nachname() As String
        Get
            Return m_Nachname
        End Get
        Set(ByVal value As String)
            m_Nachname = value
        End Set
    End Property
    Property Vorname() As String
        Get
            Return m_Vorname
        End Get
        Set(ByVal value As String)
            m_Vorname = value
        End Set
    End Property
    Property Strasse() As String
        Get
            Return m_Strasse
        End Get
        Set(ByVal value As String)
            m_Strasse = value
        End Set
    End Property
    Property PLZ() As String
        Get
            Return m_PLZ
        End Get
        Set(ByVal value As String)
            m_PLZ = value
        End Set
    End Property
    Property Ort() As String
        Get
            Return m_Ort
        End Get
        Set(ByVal value As String)
            m_Ort = value
        End Set
    End Property
    Property Telefon() As String
        Get
            Return m_Telefon
        End Get
        Set(ByVal value As String)
            m_Telefon = value
        End Set
    End Property
    Property Telefon1() As String
        Get
            Return m_Telefon1
        End Get
        Set(ByVal value As String)
            m_Telefon1 = value
        End Set
    End Property

    Public Function Clone() As Object Implements System.ICloneable.Clone
        Dim Erg As New AbsenderDaten
        Erg.Nachname = m_Nachname
        Erg.Ort = m_Ort
        Erg.PLZ = m_PLZ
        Erg.Strasse = m_Strasse
        Erg.Telefon = m_Telefon
        Erg.Telefon1 = m_Telefon1
        Erg.Vorname = m_Vorname
        Return Erg
    End Function
    Public Sub New()

    End Sub
    <System.Diagnostics.DebuggerStepThrough()> _
    Public Sub New(ByVal FileName As String)

        If IO.File.Exists(FileName) Then
            Dim reader As XmlTextReader = New XmlTextReader(FileName)

            reader.WhitespaceHandling = WhitespaceHandling.None
            Dim xmlDoc As XmlDocument = New XmlDocument
            xmlDoc.Load(reader)
            reader.Close()
            Dim xnod As XmlNode = xmlDoc.DocumentElement
            m_Nachname = xnod.Attributes("Nachname").Value
            m_Vorname = xnod.Attributes("Vorname").Value
            m_Ort = xnod.Attributes("Ort").Value
            m_PLZ = xnod.Attributes("PLZ").Value
            m_Strasse = xnod.Attributes("Strasse").Value
            m_Telefon = xnod.Attributes("Telefon").Value
            m_Telefon1 = xnod.Attributes("Telefon1").Value

            xmlDoc = Nothing
        End If

    End Sub
    Public Sub Speichern(ByVal FileName As String)

        Dim writer As XmlTextWriter = New XmlTextWriter(FileName, System.Text.Encoding.UTF8)
        writer.WriteStartDocument(True)

        writer.WriteStartElement("Elemente")
        writer.WriteAttributeString("Nachname", m_Nachname)
        writer.WriteAttributeString("Vorname", m_Vorname)
        writer.WriteAttributeString("Ort", m_Ort)
        writer.WriteAttributeString("PLZ", m_PLZ)
        writer.WriteAttributeString("Strasse", m_Strasse)
        writer.WriteAttributeString("Telefon", m_Telefon)
        writer.WriteAttributeString("Telefon1", m_Telefon1)

        writer.WriteEndElement()

        writer.WriteEndDocument()
        writer.Close()
    End Sub
End Class
