Imports System.Xml
Public Class Adresse

    Public Event Geschlecht_Geaendert()
    Public Event Kuerzel_geaendert()

#Region " Private Variablen "
    Private m_Firma As String = ""
    Private m_Firma1 As String = ""
    Private m_Stellung As String = ""

    Private m_Firmavoran As Boolean = True
    Private m_Geschlecht As Geschlechter = Geschlechter.mnnlich

    Private m_Titel As String = ""
    Private m_Nachname As String = ""
    Private m_Vorname As String = ""
    Private m_Strasse As String = ""
    Private m_Plz As String = ""
    Private m_Ort As String = ""
    Private m_Briefanrede As String = "Sehr geehrter Herr,"

    Private m_Geburtstag As String = ""
    Private m_Telefon As String = ""
    Private m_Mobil As String = ""
    Private m_Fax As String = ""
    Private m_Email As String = ""
    Private m_www As String = ""

    Private m_Betreff As String = ""
    Private m_Bemerkung As String = ""
    Private m_Dokumentenvorlage As String = "Standardbrief"
    'Private m_Schulden As Decimal = CDec(0)

    Private m_Briefe As BriefInfoListe
#End Region

#Region " Properties "
    Property Nachname() As String
        Get
            Return m_Nachname
        End Get
        Set(ByVal Value As String)
            If m_Nachname <> Value Then
                m_Nachname = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property Vorname() As String
        Get
            Return m_Vorname
        End Get
        Set(ByVal Value As String)
            If m_Vorname <> Value Then
                m_Vorname = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property Ort() As String
        Get
            Return m_Ort
        End Get
        Set(ByVal Value As String)
            If m_Ort <> Value Then
                m_Ort = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property PLZ() As String
        Get
            Return m_Plz
        End Get
        Set(ByVal Value As String)
            m_Plz = Value
        End Set
    End Property
    Property Strasse() As String
        Get
            Return m_Strasse
        End Get
        Set(ByVal Value As String)
            m_Strasse = Value
        End Set
    End Property
    Property Firma() As String
        Get
            Return m_Firma
        End Get
        Set(ByVal Value As String)
            If m_Firma <> Value Then
                m_Firma = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property Firma1() As String
        Get
            Return m_Firma1
        End Get
        Set(ByVal Value As String)
            If m_Firma1 <> Value Then
                m_Firma1 = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property Stellung() As String
        Get
            Return m_Stellung
        End Get
        Set(ByVal Value As String)
            If m_Stellung <> Value Then
                m_Stellung = Value
                RaiseEvent Kuerzel_geaendert()
            End If
        End Set
    End Property
    Property Telefon() As String
        Get
            Return m_Telefon
        End Get
        Set(ByVal Value As String)
            m_Telefon = Value
        End Set
    End Property
    Property Bemerkung() As String
        Get
            Return m_Bemerkung
        End Get
        Set(ByVal Value As String)
            m_Bemerkung = Value
        End Set
    End Property
    Property Geburtstag() As String
        Get
            Return m_Geburtstag
        End Get
        Set(ByVal Value As String)
            m_Geburtstag = Value
        End Set
    End Property
    Property FirmaVoran() As Boolean
        Get
            Return m_Firmavoran
        End Get
        Set(ByVal Value As Boolean)
            m_Firmavoran = Value
        End Set
    End Property
    Property Geschlecht() As Geschlechter
        Get
            Return m_Geschlecht
        End Get
        Set(ByVal Value As Geschlechter)
            If m_Geschlecht <> Value Then
                m_Geschlecht = Value
                RaiseEvent Geschlecht_Geaendert()
            End If
        End Set
    End Property
    Property Titel() As String
        Get
            Return m_Titel
        End Get
        Set(ByVal Value As String)
            m_Titel = Value
        End Set
    End Property
    Property Briefanrede() As String
        Get
            Return m_Briefanrede
        End Get
        Set(ByVal Value As String)
            m_Briefanrede = Value
        End Set
    End Property
    Property Betreff() As String
        Get
            Return m_Betreff
        End Get
        Set(ByVal Value As String)
            m_Betreff = Value
        End Set
    End Property
    Property Dokumentenvorlage() As String
        Get
            Return m_Dokumentenvorlage
        End Get
        Set(ByVal Value As String)
            m_Dokumentenvorlage = Value
        End Set
    End Property
    Property Email() As String
        Get
            Return m_Email
        End Get
        Set(ByVal Value As String)
            m_Email = Value
        End Set
    End Property
    Property Fax() As String
        Get
            Return m_Fax
        End Get
        Set(ByVal Value As String)
            m_Fax = Value
        End Set
    End Property
    Property www() As String
        Get
            Return m_www
        End Get
        Set(ByVal Value As String)
            m_www = Value
        End Set
    End Property
    Property Mobil() As String
        Get
            Return m_Mobil
        End Get
        Set(ByVal Value As String)
            m_Mobil = Value
        End Set
    End Property
    'Property Schulden() As Decimal
    '    Get
    '        Return m_Schulden
    '    End Get
    '    Set(ByVal Value As Decimal)
    '        m_Schulden = Value
    '    End Set
    'End Property

    ReadOnly Property Briefe() As List(Of BriefInfo)
        Get
            Return m_Briefe
        End Get
    End Property
#End Region

    Public Sub New()
        m_Briefe = New BriefInfoListe(Me)
    End Sub

    Public Sub New(ByVal Nd As XmlNode)
        m_Briefe = New BriefInfoListe(Me, Nd)
        m_Nachname = Nd.Attributes("Nachname").Value
        m_Vorname = Nd.Attributes("Vorname").Value
        m_Ort = Nd.Attributes("Ort").Value
        m_Plz = Nd.Attributes("Plz").Value
        m_Strasse = Nd.Attributes("Strasse").Value
        m_Firma = Nd.Attributes("Firma").Value
        m_Firma1 = Nd.Attributes("Firma1").Value

        For Each Att As XmlAttribute In Nd.Attributes
            If (Att.Name = "Dienststellung") Or (Att.Name = "Stellung") Then
                m_Stellung = Att.Value
                Exit For
            End If
        Next

        m_Telefon = Nd.Attributes("Telefon").Value

        For Each Att As XmlAttribute In Nd.Attributes
            If (Att.Name = "Bemerkungen") Or (Att.Name = "Bemerkung") Then
                m_Bemerkung = Att.Value
                Exit For
            End If
        Next

        For Each Att As XmlAttribute In Nd.Attributes
            If (Att.Name = "Geburtsdatum") Or (Att.Name = "Geburtstag") Then
                m_Geburtstag = Att.Value
                Exit For
            End If
        Next

        m_Firmavoran = CBool(Nd.Attributes("Firmavoran").Value)
        m_Geschlecht = CType(CByte(Nd.Attributes("Geschlecht").Value), Geschlechter)
        m_Titel = Nd.Attributes("Titel").Value
        m_Briefanrede = Nd.Attributes("Briefanrede").Value
        m_Betreff = Nd.Attributes("Betreff").Value
        m_Dokumentenvorlage = Nd.Attributes("Dokumentenvorlage").Value
        m_Email = Nd.Attributes("Email").Value
        m_Fax = Nd.Attributes("Fax").Value
        m_www = Nd.Attributes("WWW").Value
        m_Mobil = Nd.Attributes("Mobil").Value

        'For Each Att As XmlAttribute In Nd.Attributes
        '    If (Att.Name = "OffenerBetrag") Or (Att.Name = "Schulden") Then
        '        m_Schulden = Att.Value
        '        Exit For
        '    End If
        'Next

        'For Each xNd As XmlNode In Nd.ChildNodes
        '    Select Case xNd.Name
        '        Case "Info"
        '            Dim Inf As New Info(xNd)
        '            Me.m_Briefe.Add(Inf)
        '        Case "Brief"
        '            Dim Inf As New Brief(xNd)
        '            Me.m_Briefe.Add(Inf)
        '        Case "Rechnung"
        '            Dim Inf As New Rechnung(xNd, Me)
        '            Me.m_Briefe.Add(Inf)
        '        Case "Mahnung"
        '            Dim Inf As New Mahnung(xNd, Me)
        '            Me.m_Briefe.Add(Inf)
        '        Case "Zahlungseingang", "Zahlung"
        '            Dim Inf As New Zahlung(xNd, Me)
        '            Me.m_Briefe.Add(Inf)
        '    End Select
        'Next

    End Sub

#Region " XML lesen / schreiben "
    Public Sub XMLSchreiben(ByVal writer As System.Xml.XmlTextWriter)
        writer.WriteAttributeString("Nachname", m_Nachname)
        writer.WriteAttributeString("Vorname", m_Vorname)
        writer.WriteAttributeString("Ort", m_Ort)
        writer.WriteAttributeString("Plz", m_Plz)
        writer.WriteAttributeString("Strasse", m_Strasse)
        writer.WriteAttributeString("Firma", m_Firma)
        writer.WriteAttributeString("Firma1", m_Firma1)
        writer.WriteAttributeString("Stellung", m_Stellung)
        writer.WriteAttributeString("Telefon", m_Telefon)
        writer.WriteAttributeString("Bemerkung", m_Bemerkung)
        writer.WriteAttributeString("Geburtstag", m_Geburtstag)
        writer.WriteAttributeString("Firmavoran", m_Firmavoran.ToString)
        writer.WriteAttributeString("Geschlecht", CByte(m_Geschlecht).ToString)
        writer.WriteAttributeString("Titel", m_Titel)
        writer.WriteAttributeString("Briefanrede", m_Briefanrede)
        writer.WriteAttributeString("Betreff", m_Betreff)
        writer.WriteAttributeString("Dokumentenvorlage", m_Dokumentenvorlage)
        writer.WriteAttributeString("Email", m_Email)
        writer.WriteAttributeString("Fax", m_Fax)
        writer.WriteAttributeString("WWW", m_www)
        writer.WriteAttributeString("Mobil", m_Mobil)
        'writer.WriteAttributeString("Schulden", m_Schulden.ToString)

        m_Briefe.XMLSchreiben(writer)


        'For Each Inf As BriefInfo In m_Briefe
        '    Select Case Inf.Typ
        '        Case BriefInfoTypen.Brief
        '            writer.WriteStartElement("Brief")
        '        Case BriefInfoTypen.Info
        '            writer.WriteStartElement("Info")
        '        Case BriefInfoTypen.Mahnung
        '            writer.WriteStartElement("Mahnung")
        '        Case BriefInfoTypen.Rechnung
        '            writer.WriteStartElement("Rechnung")
        '        Case BriefInfoTypen.Zahlung
        '            writer.WriteStartElement("Zahlung")
        '    End Select
        '    Inf.XMLSchreiben(writer)
        '    writer.WriteEndElement()
        'Next
    End Sub

#End Region

    'Public Sub Schulden_Berechnen()
    '    Dim Erg As Decimal = CDec(0)
    '    For Each Inf As BriefInfo In m_Briefe
    '        Erg += Inf.Geldbetrag
    '    Next
    '    If m_Schulden <> Erg Then
    '        m_Schulden = Erg
    '        RaiseEvent Schulden_Geaendert()
    '    End If
    'End Sub

    Public Function Kuerzel_Erstellen() As String
        Dim z, ZM As String
        ZM = ""
        z = ""
        If m_Nachname <> "" Then
            z = m_Nachname
            If m_Vorname <> "" Then z &= " " & m_Vorname
            If m_Firma <> "" Then z &= " " & m_Firma
        Else
            If m_Firma <> "" Then z &= " " & m_Firma
            If m_Firma1 <> "" Then z &= " " & m_Firma1
            If m_Stellung <> "" Then z &= " " & m_Stellung
        End If

        z = z.Trim

        If m_Ort <> "" Then
            If z <> "" Then
                Dim Teile() As String = z.Split(" ")
                Dim OrtGefunden As Boolean = False
                For Each txt As String In Teile
                    If txt = m_Ort Then
                        OrtGefunden = True
                        Exit For
                    End If
                Next
                If OrtGefunden Then
                    ZM = z
                Else
                    ZM = z & " " & m_Ort
                End If
            Else
                ZM = m_Ort
            End If
        Else
            ZM = z
        End If
        ZM = ZM.Trim
        If ZM = "" Then ZM = "Leere Adresse"
        Return ZM
    End Function
    Public Function Clone() As Adresse
        Dim NeueAdresse As New Adresse

        NeueAdresse.m_Firma = m_Firma
        NeueAdresse.m_Firma1 = m_Firma1
        NeueAdresse.m_Stellung = m_Stellung

        NeueAdresse.m_Firmavoran = m_Firmavoran
        NeueAdresse.m_Geschlecht = m_Geschlecht

        NeueAdresse.m_Titel = m_Titel
        NeueAdresse.m_Nachname = m_Nachname
        NeueAdresse.m_Vorname = m_Vorname
        NeueAdresse.m_Strasse = m_Strasse
        NeueAdresse.m_Plz = m_Plz
        NeueAdresse.m_Ort = m_Ort
        NeueAdresse.m_Briefanrede = m_Briefanrede

        NeueAdresse.m_Geburtstag = m_Geburtstag
        NeueAdresse.m_Telefon = m_Telefon
        NeueAdresse.m_Mobil = m_Mobil
        NeueAdresse.m_Fax = m_Fax
        NeueAdresse.m_Email = m_Email
        NeueAdresse.m_www = m_www

        NeueAdresse.m_Betreff = m_Betreff
        NeueAdresse.m_Bemerkung = m_Bemerkung
        NeueAdresse.m_Dokumentenvorlage = m_Dokumentenvorlage
        'NeueAdresse.m_Schulden = m_Schulden

        Return NeueAdresse
    End Function

End Class
