Public Class BeschreibungPluginAktion
    Inherits BeschreibungAktion
    Private m_Descr As Briefdatenbank.Plugin.Common.PlugInDescription
    Private m_Serv As Briefdatenbank.Service.BriefBearbeitungsService
    Private m_RechnungsNr As String = ""
    Private m_VorlagenDirectory As String = ""

    WriteOnly Property RechnungsNr() As String
        Set(ByVal value As String)
            If (m_Descr.BriefInfoTyp = BriefInfoTypen.Rechnung) Or (m_Descr.BriefInfoTyp = BriefInfoTypen.Mahnung) Then
                m_RechnungsNr = value
            End If
        End Set
    End Property

    Public Sub New(ByVal Text As String, ByVal Beschreibung As String, ByVal VisibleState As VisibleStates, ByVal Image As Image, ByVal Descr As Briefdatenbank.Plugin.Common.PlugInDescription, ByVal Serv As Briefdatenbank.Service.BriefBearbeitungsService, ByVal VorlagenDirectory As String)
        MyBase.New(Text, Beschreibung, VisibleState, Image)
        m_Descr = Descr
        m_Serv = Serv
        m_VorlagenDirectory = VorlagenDirectory
    End Sub
    ReadOnly Property BriefInfoTyp() As Briefdatenbank.Plugin.Common.BriefInfoTypen
        Get
            Return m_Descr.BriefInfoTyp
        End Get
    End Property
    Public Overrides Sub DoAction()

        Dim UeDaten As New Briefdatenbank.Plugin.Common.PlugInUebergabeDaten(m_RechnungsNr, m_VorlagenDirectory)
        m_Serv.Arbeiten(m_Descr, UeDaten)

    End Sub
End Class
