Public Class AktionsToolStripItem
    Inherits System.Windows.Forms.ToolStripMenuItem
    Private WithEvents m_Aktion As BeschreibungAktion

    WriteOnly Property Aktion() As BeschreibungAktion
        Set(ByVal value As BeschreibungAktion)
            m_Aktion = value
            Einstellen()
        End Set
    End Property

    Private Sub AktionsButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        m_Aktion.DoAction()
    End Sub

    Private Sub Einstellen()

        If m_Aktion.Visible Then
            Select Case m_Aktion.VisibleState
                Case VisibleStates.Disabled
                    Me.Enabled = False
                    Me.Visible = True
                Case VisibleStates.Enabled
                    Me.Enabled = True
                    Me.Visible = True
                Case VisibleStates.Invisible
                    Me.Visible = False
            End Select
            Me.Text = m_Aktion.Text
            Me.Image = m_Aktion.Image
            If Me.Enabled Then
                Me.ToolTipText = m_Aktion.Beschreibung
            Else
                Me.ToolTipText = ""
            End If
            If m_Aktion.Checked Then
                Me.Checked = True
            Else
                Me.Checked = False
            End If
        Else
            Me.Visible = False
        End If


    End Sub
    Private Sub m_Aktion_Changed() Handles m_Aktion.Changed
        Einstellen()
    End Sub

    Public Sub New()

    End Sub
    Public Sub New(ByVal Akt As BeschreibungAktion)
        m_Aktion = Akt
        Einstellen()
    End Sub
End Class
