Public Class AdressListViewItem
    Inherits ListViewItem
    Private WithEvents m_Adresse As Adresse
    Public Event TextChanged()

    Public Sub New(ByVal Adr As Adresse)
        m_Adresse = Adr
        Me.Text = Adr.Kuerzel_Erstellen
        Me.ImageIndex = CInt(m_Adresse.Geschlecht)
    End Sub

    ReadOnly Property Adresse() As Adresse
        Get
            Return m_Adresse
        End Get
    End Property

    Private Sub m_Adresse_Geschlecht_Geaendert() Handles m_Adresse.Geschlecht_Geaendert
        Me.ImageIndex = CInt(m_Adresse.Geschlecht)
    End Sub

    Private Sub m_Adresse_Kuerzel_geaendert() Handles m_Adresse.Kuerzel_geaendert
        Me.Text = m_Adresse.Kuerzel_Erstellen
        RaiseEvent TextChanged()
    End Sub
End Class
