Public Class Dokumentenvorlagenliste
    Inherits SelectedObjektliste(Of Dokumentenvorlage)
    Overrides Sub SetSelectedElement(ByVal Value As Dokumentenvorlage, ByVal Sender As Object)
        If m_SelectedElement IsNot Value Then
            m_SelectedElement = Value
            SelectedEventAusloesen(Value, Sender)
        End If
    End Sub

    Public Sub New(ByVal VorlagenDirectory As String)
        For Each txt As String In IO.Directory.GetFiles(VorlagenDirectory)
            Dim LText As String = txt.ToLower
            If LText.EndsWith(".dot") Then
                Dim Vorl As New Dokumentenvorlage(txt)
                If Not Vorl.Anzeigename.ToLower.StartsWith("autobrief") Then
                    If Not Vorl.Anzeigename.ToLower.StartsWith("~") Then
                        Me.Add(Vorl)
                    End If
                End If
            End If
        Next

        Dim Gef As Boolean = False
        For Each Vorl As Dokumentenvorlage In Me
            If Vorl.Anzeigename = "Standardbrief" Then
                Gef = True
                Exit For
            End If
        Next
        If Not Gef Then
            Me.Add(New Dokumentenvorlage(VorlagenDirectory & "\Standardbrief.dot"))
        End If
        SetSelectedElement(Me.Item(0), Me)
    End Sub

End Class
