Public Class frm_InfoBearbeiten

    Private m_Info As BriefInfo
    Private m_Neu As Boolean = False
    Private Initialisierung As Boolean = False

    Private m_GeldBetragStimmt As Boolean = True

    Private Sub Weitere_Initialisierung()
        Me.Icon = My.Resources.bdb2
        Dim AppName As String = "Briefdatenbank"
        If m_Neu Then
            Select Case m_Info.Typ
                Case BriefInfoTypen.Info
                    Me.Text = AppName & " - Info anlegen"
                Case BriefInfoTypen.Brief
                    Me.Text = AppName & " - Brief anlegen"
                Case BriefInfoTypen.Zahlung
                    Me.Text = AppName & " - Zahlung anlegen"
            End Select
        Else
            Select Case m_Info.Typ
                Case BriefInfoTypen.Info
                    Me.Text = AppName & " - Info bearbeiten"
                Case BriefInfoTypen.Brief
                    Me.Text = AppName & " - Brief Daten bearbeiten"
                Case BriefInfoTypen.Rechnung
                    Me.Text = AppName & " - Rechnung Daten bearbeiten"
                Case BriefInfoTypen.Mahnung
                    Me.Text = AppName & " - Mahnung Daten bearbeiten"
                Case BriefInfoTypen.Zahlung
                    Me.Text = AppName & " - Zahlung bearbeiten"
            End Select
        End If

        Select Case m_Info.Typ
            Case BriefInfoTypen.Info, BriefInfoTypen.Brief
                Me.SplitContainer2.Panel2Collapsed = True
        End Select

        Initialisierung = True
        Me.DateTextBox1.Text = m_Info.Datum.ToShortDateString
        Me.BetreffTextBox.Text = m_Info.Betreff
        If (m_Info.Contents And BriefInfoContents.Geld) <> 0 Then
            Dim GE As IGeldelement = m_Info
            Me.GeldBetragAlphaNumericTextBox.Text = GE.Geldbetrag.ToString("c")
        End If
       

        OKButtonPruefen()
        Initialisierung = False
    End Sub
    Private Sub DateTextBox1_Changed(ByVal Sender As Plugin.Common.ValidatedControls.IValidatedControl, ByVal ErrorControlIndex As Integer, ByVal ErrorMessage As String, ByVal ValidatedValue As String) Handles DateTextBox1.Changed
        If Initialisierung Then Exit Sub
        If ErrorMessage = "" Then
            m_Info.Datum = CDate(DateTextBox1.Text)
        End If
        OKButtonPruefen()
    End Sub
    Private Sub GeldBetragAlphaNumericTextBox_Changed(ByVal Sender As Plugin.Common.ValidatedControls.IValidatedControl, ByVal ErrorControlIndex As Integer, ByVal ErrorMessage As String, ByVal ValidatedValue As String) Handles GeldBetragAlphaNumericTextBox.Changed
        If Initialisierung Then Exit Sub
        If (m_Info.Contents And BriefInfoContents.Geld) <> 0 Then
            Dim GE As IGeldelement = m_Info
            If ErrorMessage = "" Then
                Dim ZahlText As String = GeldBetragAlphaNumericTextBox.Text.Replace("", "")

                GE.Geldbetrag = Math.Round(CDec(GeldBetragAlphaNumericTextBox.Text), 2)
            Else
                GE.Geldbetrag = 0
            End If
        End If


        OKButtonPruefen()
    End Sub
    'Todo:  
    'Private Sub BetreffTextBox_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles BetreffTextBox.KeyDown
    '    'If e.KeyCode = Keys.Enter Then
    '    '    If Me.ButtonOK.Enabled Then
    '    '        Me.DialogResult = Windows.Forms.DialogResult.OK
    '    '    Else
    '    '        Me.DialogResult = Windows.Forms.DialogResult.Cancel
    '    '    End If
    '    '    Me.Close()
    '    'ElseIf e.KeyCode = Keys.Escape Then
    '    '    Me.DialogResult = Windows.Forms.DialogResult.Cancel
    '    '    Me.Close()
    '    'End If
    'End Sub
    Private Sub BetreffTextBox_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BetreffTextBox.TextChanged
        If Initialisierung Then Exit Sub
        m_Info.Betreff = BetreffTextBox.Text
        OKButtonPruefen()
    End Sub
    Private Sub frm_InfoBearbeiten_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        BetreffTextBox.Focus()
    End Sub

    Private Function AllesOK() As Boolean
        If BetreffTextBox.Text.Trim = "" Then Return False
        If DateTextBox1.ErrorMessage <> "" Then Return False
        If (m_Info.Typ = BriefInfoTypen.Mahnung) Or (m_Info.Typ = BriefInfoTypen.Rechnung) Or (m_Info.Typ = BriefInfoTypen.Zahlung) Then
            If Me.GeldBetragAlphaNumericTextBox.ErrorMessage <> "" Then Return False
        End If
        Return True
    End Function
    Private Sub OKButtonPruefen()
        'In diesem Formaular knnen nur Betreff, Datum und Geldbetrag gendert werden
        'Geldbetrag-Prfung entfllt bei Info und Brief
        Me.ButtonOK.Enabled = AllesOK()
    End Sub

    Public Sub New(ByVal NeuAnlage As Boolean, ByVal Info As BriefInfo)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Initialisierungen nach dem Aufruf InitializeComponent() hinzufgen
        m_Neu = NeuAnlage
        m_Info = Info
        Weitere_Initialisierung()

    End Sub

    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub
End Class